Create a build
Request Body
application/json
POST /otto/api/build Request body
"build_id_missing"Close files before backing up. This setting is ignored for clones. If the file is encrypted, it will be closed and reopened with the encryption key.
The compression level used by OttoFMS to compress the build zip. Higher values of this will make the zip smaller but will use more resources. Lower values will keep the .zip file big but will use less resources.
-1 <= value <= 9If true, OttoFMS will ensure that the files are open at the end of the build. This is useful if the files were closed when the build started but you want to ensure they are open when the build is complete.
If provided, OttoFMS will collect file configuration (notes, webhooks, MCP servers) and include it alongside each file in the manifest.
Array of FileMaker files to include in the build
1 <= itemsIf true, OttoFMS will add external container data for copies to the build. This is useful for installations that need to preserve container data.
If true, the credentials will be included in the manifest. This is primarily useful for public builds that need credentials to be available with the files.
The amount of memory used by OttoFMS to zip the build. Higher values will let the process use more memory to zip and will make the process faster. Lower values will use less memory and will make the process slower.
11 <= value <= 9Script to be run after deployment (stored in manifest for future use)
Script to be run before files are closed or backed up
Script to be run before deployment (stored in manifest for future use)
Array of text files to include in the build zip
If true, OttoFMS will zip the files. If false, OttoFMS will not zip the files. If this is false, the build will only work for local deployments or actions, not for remote deployments or for publishing elsewhere using OttoFMS.
trueboolean to determine whether or not to schedule the deployment(s) for later
timestamp to use to schedule the deployment. See Claris FileMaker scheduling API docs for formatting.
^(-?(?:[1-9][0-9]*)?[0-9]{4})-(1[0-2]|0[1-9])Response Body
application/json
application/json
curl -X POST "https://your.server.net/otto/api/build" \ -H "Content-Type: application/json" \ -d '{ "buildId": "build_id_missing", "files": [ { "fileName": "string" } ], "scheduled": true, "timestamp": "string" }'{
"messages": [
{
"code": 0,
"text": "ok"
}
],
"response": {}
}{
"messages": [
{
"code": 18011,
"text": "OttoFMS sample error"
}
],
"response": {}
}